# SubtitleDescription Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

- void SubtitleDescription()
- void SubtitleDescription(int index, HashMap properties)

### Constructor Properties

- prototype: The SubtitleDescription prototype object

### Prototype Object Properties

- String description()
- int index()
- bool isValid()
- String name()
- Object property(char name)
- List propertyNames()

### Instance Properties

SubtitleDescription objects have no special properties beyond those inherited from the SubtitleDescription prototype object.